#!/bin/bash
set -e
BDATE="2017-10-02T12:34:19-07:00"
ROM_URL="https://mirrors.apple2.org.za/Apple%20II%20Documentation%20Project/Computers/Apple%20II/Apple%20IIc%20plus/ROM%20Images/Apple%20IIc%20plus%20ROM%2005%20-%20342-0625-A%20-%201988.bin"
echo ${BDATE}
if [ -e `which curl` ]; then
  curl -s "${ROM_URL}" > iic+_rom5.bin
elif [ -e `which wget` ]; then
  wget -O iic+_rom5.bin "${ROM_URL}"
else
  echo "Can't download source ROM image!"
fi
cp iic+_rom5.bin iic+_rom5x.bin
dd if=B0_CFF9_switch_cmd.b of=iic+_rom5x.bin bs=1 seek=4089 conv=notrunc
dd if=B0_FAB4_patch_pwrup.b of=iic+_rom5x.bin bs=1 seek=15028 conv=notrunc
dd if=B0_FAC8_patch_reset.b of=iic+_rom5x.bin bs=1 seek=15048 conv=notrunc
dd if=B0_FB68_center_title.b of=iic+_rom5x.bin bs=1 seek=15208 conv=notrunc
dd if=B0_FBDF_bell1_hijack.b of=iic+_rom5x.bin bs=1 seek=15327 conv=notrunc
dd if=B1_C53D_patch_out_rom_cksum.b of=iic+_rom5x.bin bs=1 seek=17725 conv=notrunc
dd if=B1_D3B5_accmenu.b of=iic+_rom5x.bin bs=1 seek=21429 conv=notrunc
dd if=B1_D516_boot5x.b of=iic+_rom5x.bin bs=1 seek=21782 conv=notrunc
dd if=B1_D6CE_rom5x_misc.b of=iic+_rom5x.bin bs=1 seek=22222 conv=notrunc
dd if=B1_DB63_reset5x.b of=iic+_rom5x.bin bs=1 seek=23395 conv=notrunc
dd if=B1_FB3C_rom5x_dispatch.b of=iic+_rom5x.bin bs=1 seek=31548 conv=notrunc
dd if=B1_FBE2_bell1_hijack_b1.b of=iic+_rom5x.bin bs=1 seek=31714 conv=notrunc
dd if=B1_FCC9_spdtab.b of=iic+_rom5x.bin bs=1 seek=31945 conv=notrunc
dd if=B1_FD00_accel5x.b of=iic+_rom5x.bin bs=1 seek=32000 conv=notrunc
if [ -e `which shasum` ]; then
  shasum -a 256 -c rom.sha256
elif [ -e "sha256sum" ]; then
  sha256sum -c rom.sha256
else
  echo "Please check the .bin files against rom.sha256"
fi
echo "iic+_rom5x.bin created!"
